// header file for some routines that perform different
// smoothing algorithms taken from Biomechanics literature
// Specifically paper from Fabio Gazzani, Int. Journal
// of bio-medical computing 37 (1994) 57-76

#ifndef ABKP_H
#define ABKP_H

#include "math3.H"

#define SIZE2 1024


void mfilter(int mode, int nin, double dt, double x[SIZE2],
             double smsig[SIZE2]);

void f_alpha(double iv[SIZE2], double gunorm[SIZE2], int n, double alpha,
             double *d0, double *d1, double *d2, int ind);

void dft(Complex x[SIZE2], int n, Complex y[SIZE2]);

//void fft(int n, double xRe[], double xIm[], double yRe[], double yIm[]);

#endif
