// Header file for the grey system predictor

#ifndef GREY_H
#define GREY_H

#include "predictor.H"
#include "kalmanbase.H"

class GreyPred : public Predictor, KalmanBase, ExtendedKalmanBase
{
  public: 
    GreyPred(); 
    virtual ~GreyPred();

    virtual void prepare(); // prepares object for prediction
    virtual Pose * predict(Pose *userpos, double pinterval); 
    
    Pose * greyInterp(double pinterval);    
    Pose * greyNeighbor(double pinterval);   

  protected:   
    int _numwin;
    int _flag;
    FIGarray<Pose*> _posewin0; // holds a window of poses
    int _plo;  // needed for interpolation scheme
    int _phi;
    int _ctr;

};



#endif
