// header file for the position/velocity/acceleration, multiple measurement (position
// and acceleration) model

#ifndef KALMANPVAMMA_H
#define KALMANPVAMMA_H

#include "kalmanbase.H"

class Pose;

// kalman filter for a position/velocity/accel model with a multiple  measurement
// (i.e., position and accleration)
class KalmanPVAMMA : public KalmanBase, public ExtendedKalmanBase,
                     public UnscentedKalmanBase
{
  public:
    KalmanPVAMMA();
    virtual ~KalmanPVAMMA();

    void initialize(double specd, double dt, double pn, double qn, 
                    double dv, int ukfflag);
    Pose * filter(Pose *userpos, double pinterval);

  protected: 
    int    _ctr;
    int    _ukfflag;

};


#endif
