// Header file for the local polynomial extrapolation predictor

#ifndef LPOLY_H
#define LPOLY_H

#include "predictor.H"
#include "kalmanbase.H"

class LPoly : public Predictor, KalmanBase, ExtendedKalmanBase
{
  public: 
    LPoly();
    virtual ~LPoly(); 

    virtual void prepare(); // prepares object for prediction
    virtual Pose * predict(Pose *userpos, double pinterval); 
        
    // individual prediction algs
    Pose * lagrangian(double pinterval);
    Pose * leastSquares(double pinterval);
    Pose * cubicSpline(double pinterval);
    Pose * taylorExp(double pinterval);

  protected:
    int _degree;
    int _numwin;
    FIGarray<Pose*> _posewin; // holds a window of poses
    int _ctr;

};



#endif
