// defines constructor for pholder

#include "pholder.H"
#include "reflex.H"
#include "lpoly.H"
#include "expsmooth.H"
#include "grey.H"
#include "kalman.H"
#include "ci.H"
#include "mmae.H"

PredictorHolder::PredictorHolder() : _plist(16) 
{ 
  _plist += new Reflex();  
  _plist += new LPoly(); 
  _plist += new ExpSmooth();
  _plist += new GreyPred();
  _plist += new KalmanPredictor();
  _plist += new CIPredictor();
  _plist += new MMAEPredictor();
}

PredictorHolder::~PredictorHolder()
{  
   for (int i = 0; i < _plist.num(); ++i) 
      delete _plist[i]; 
}

